Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrandon Casey <casey@nrlssc.navy.mil>2008-11-12 20:59:05 +0300
committerJunio C Hamano <gitster@pobox.com>2008-11-12 21:28:12 +0300
commitdd718365cccfddd7d5992a40296de50e7cabdfc8 (patch)
treedabec4bec194116aa37509b81351ac6deec52c35 /git-repack.sh
parente96fb9b8f90f907d720ea6b71c92e30c2b071f4a (diff)
repack: don't repack local objects in packs with .keep file
If the user created a .keep file for a local pack, then it can be inferred that the user does not want those objects repacked. This fixes the repack bug tested by t7700. Signed-off-by: Brandon Casey <casey@nrlssc.navy.mil> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-repack.sh b/git-repack.sh
index d39eb6cea6..8bb22014b9 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -83,7 +83,7 @@ case ",$all_into_one," in
esac
args="$args $local $quiet $no_reuse$extra"
-names=$(git pack-objects --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
+names=$(git pack-objects --honor-pack-keep --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
exit 1
if [ -z "$names" ]; then
if test -z "$quiet"; then